当前位置:首页 > 开发 > 系统架构 > 架构 > 正文

Spring开发利器:Spring Tool Suite 3.7.0 发布

发表于: 2015-07-01   作者:wiselyman   来源:转载   浏览:
摘要: Spring Tool Suite(简称STS)是基于Eclipse,专门针对Spring开发者提供大量的便捷功能的优秀开发工具。   在3.7.0版本主要做了如下的更新:   将eclipse版本更新至Eclipse Mars 4.5 GA Spring Boot(JavaEE开发的颠覆者集大成者,推荐大家学习)的配置语言YAML编辑器的支持(包含自动提示,

Spring Tool Suite(简称STS)是基于Eclipse,专门针对Spring开发者提供大量的便捷功能的优秀开发工具。

 

在3.7.0版本主要做了如下的更新:

 

  1. 将eclipse版本更新至Eclipse Mars 4.5 GA
  2. Spring Boot(JavaEE开发的颠覆者集大成者,推荐大家学习)的配置语言YAML编辑器的支持(包含自动提示,鼠标悬停,代码导航以及错误和警告)
  3. 云平台Cloud Foundry支持的提升
  4. Pivotal tc Server(一款基于tomcat的servlet容器,内置在STS中)更新至3.1.1
  5. Spring Roo 2.0.0.M1版本的早期支持

 

下载地址:https://spring.io/tools/sts/all

 

3.7.0的完整更新内容

 

STS将在2015年10月发布3.7.1版本(与Eclipse Mars SR1版本跟进)

 

原文地址:http://spring.io/blog/2015/06/30/spring-tool-suite-3-7-0-released

Spring开发利器:Spring Tool Suite 3.7.0 发布

  • 0

    开心

    开心

  • 0

    板砖

    板砖

  • 0

    感动

    感动

  • 0

    有用

    有用

  • 0

    疑问

    疑问

  • 0

    难过

    难过

  • 0

    无聊

    无聊

  • 0

    震惊

    震惊

编辑推荐
安装 SPRING TOOL SUITE SPRING TOOL SUITE 是一个 Eclipse 插件,利用该插件可以更方便的在 Eclips
使用STS工具,可以建立基本的SpringMVC的项目,我使用的是Version: 3.6.3.SR1 按照如下步骤: 1. Ne
使用Spring Tool Suite 创建 SpringMVC Web 项目,使用Maven来管理依赖! 首先对环境进行必要的配置
项目建立完成后,会有一堆错误,是因为本地还没有引入对应的jar。解决方法如下: <img src="http
Spring Tool Suite如何创建web项目? 版本配置 如果你是一个喜欢用spring的人,你可能会在欣赏sprin
打开:http://mvnrepository.com/ 搜索:hibernate 或者:http://search.maven.org 搜索:hibernate-co
STS(Spring Tool Suite)使用小技巧记录 偶尔有些jar包无论如何都无法用maven下载,(例如我正在用的
来自fair-jm.iteye.com 转截请注明出处 首先这个问题会在第一次使用STS的时候发生 当然用过一段时间
Spring tool Suite 我就简称STS了,sts的基础是eclipse,所以,一些配置都是差不多的。下面就介绍一
前言   最近由于一些工作的需要,还有自己知识的匮乏再次翻开spring。正好整理了一下相关的知识,
版权所有 IT知识库 CopyRight © 2009-2015 IT知识库 IT610.com , All Rights Reserved. 京ICP备09083238号